org.apache.cassandra.utils

## Class Interval<C,D>

- java.lang.Object
- - org.apache.cassandra.utils.Interval<C,D>

    public class Interval<C,D>
    extends java.lang.Object

### Field Summary

Fields
`D` `data`
`C` `max`
`C` `min`

### Constructor Summary

Constructors
Constructor and Description
`Interval(C min, C max, D data)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <C,D> Interval<C,D>` `create(C min, C max)`
`static <C,D> Interval<C,D>` `create(C min, C max, D data)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`static <C extends java.lang.Comparable<? super C>,V> AsymmetricOrdering<Interval<C,V>,C>` `maxOrdering()`
`static <C extends java.lang.Comparable<? super C>,V> AsymmetricOrdering<Interval<C,V>,C>` `minOrdering()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### min

    public final C min

#### max

    public final C max

#### data

    public final D data

### Constructor Detail

#### Interval

    public Interval(C min,
                    C max,
                    D data)

### Method Detail

#### create

    public static <C,D> Interval<C,D> create(C min,
                                             C max)

#### create

    public static <C,D> Interval<C,D> create(C min,
                                             C max,
                                             D data)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### minOrdering

    public static <C extends java.lang.Comparable<? super C>,V> AsymmetricOrdering<Interval<C,V>,C> minOrdering()

#### maxOrdering

    public static <C extends java.lang.Comparable<? super C>,V> AsymmetricOrdering<Interval<C,V>,C> maxOrdering()